Bug 225318 (cmake-3.10.2) - [exp-run] Update cmake to 3.10.2
Summary: [exp-run] Update cmake to 3.10.2
Status: Closed FIXED
Alias: cmake-3.10.2
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-19 15:35 UTC by Tobias C. Berner
Modified: 2018-01-25 22:51 UTC (History)
4 users (show)

See Also:


Attachments
v1 (1.66 KB, patch)
2018-01-19 15:35 UTC, Tobias C. Berner
no flags Details | Diff
v2 (16.64 KB, patch)
2018-01-19 21:36 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2018-01-19 15:35:34 UTC
Created attachment 189908 [details]
v1

Hi there

kde@ would like to ask for an exp-run to upgrade cmake to 3.10.2.

The patch is attached, and can also be found here:
http://people.freebsd.org/~tcberner/patches/cmake-3.10.2.v1.diff

mfg Tobias
Comment 1 Jan Beich freebsd_committer 2018-01-19 21:04:35 UTC
This release doesn't seem to have Boost 1.66 support. Can you cherry-pick it then?
Comment 2 Tobias C. Berner freebsd_committer 2018-01-19 21:27:59 UTC
Give me a moment...
Comment 4 Adriaan de Groot freebsd_committer 2018-01-19 23:06:08 UTC
LGTM. The upstream commits were merged to master, and not backported to the 3.10 release branch (which we've done here). It should make future updates a little less painful (a new Boost version can be exp-run by adding a CMAKE_ARGS globally).
Comment 5 lumiwa 2018-01-21 10:32:54 UTC
(In reply to Tobias C. Berner from comment #3)
Is the patch v2 okay for FreeBSD 11.1 RELEASE?
Comment 6 Tobias C. Berner freebsd_committer 2018-01-22 07:10:15 UTC
(In reply to lumiwa from comment #5)
Hi there


There should be nothing version specific, yes. Why do you mean?


Mfg Tobias
Comment 7 lumiwa 2018-01-23 23:12:28 UTC
Because I cannot build anymore some ports including openshadowlanguage and it is related to CMAKE.

CMake Warning at /usr/local/share/cmake/Modules/FindBoost.cmake:801
(message):
  New Boost version may have incorrect or missing dependencies and
imported
  targets
Call Stack (most recent call first):
  /usr/local/share/cmake/Modules/FindBoost.cmake:906
(_Boost_COMPONENT_DEPENDENCIES)
  /usr/local/share/cmake/Modules/FindBoost.cmake:1541
(_Boost_MISSING_DEPENDENCIES)
  src/cmake/externalpackages.cmake:173 (find_package)
  CMakeLists.txt:358 (include)


CMake Warning at /usr/local/share/cmake/Modules/FindBoost.cmake:801
(message):
  New Boost version may have incorrect or missing dependencies and
imported
  targets
Call Stack (most recent call first):
  /usr/local/share/cmake/Modules/FindBoost.cmake:906
(_Boost_COMPONENT_DEPENDENCIES)
  /usr/local/share/cmake/Modules/FindBoost.cmake:1541
(_Boost_MISSING_DEPENDENCIES)
  src/cmake/externalpackages.cmake:173 (find_package)
  CMakeLists.txt:358 (include)


CMake Warning at /usr/local/share/cmake/Modules/FindBoost.cmake:801
(message):
  New Boost version may have incorrect or missing dependencies and
imported
  targets
Call Stack (most recent call first):
  /usr/local/share/cmake/Modules/FindBoost.cmake:906
(_Boost_COMPONENT_DEPENDENCIES)
  /usr/local/share/cmake/Modules/FindBoost.cmake:1541
(_Boost_MISSING_DEPENDENCIES)
  src/cmake/externalpackages.cmake:173 (find_package)
  CMakeLists.txt:358 (include)


CMake Warning at /usr/local/share/cmake/Modules/FindBoost.cmake:801
(message):
  New Boost version may have incorrect or missing dependencies and
imported
  targets
Call Stack (most recent call first):
  /usr/local/share/cmake/Modules/FindBoost.cmake:906
(_Boost_COMPONENT_DEPENDENCIES)
  /usr/local/share/cmake/Modules/FindBoost.cmake:1541
(_Boost_MISSING_DEPENDENCIES)
  src/cmake/externalpackages.cmake:173 (find_package)
  CMakeLists.txt:358 (include)


CMake Warning at /usr/local/share/cmake/Modules/FindBoost.cmake:801
(message):
  New Boost version may have incorrect or missing dependencies and
imported
  targets
Call Stack (most recent call first):
  /usr/local/share/cmake/Modules/FindBoost.cmake:906
(_Boost_COMPONENT_DEPENDENCIES)
  /usr/local/share/cmake/Modules/FindBoost.cmake:1541
(_Boost_MISSING_DEPENDENCIES)
  src/cmake/externalpackages.cmake:173 (find_package)
  CMakeLists.txt:358 (include)


CMake Warning at /usr/local/share/cmake/Modules/FindBoost.cmake:801
(message):
  New Boost version may have incorrect or missing dependencies and
imported
  targets
Call Stack (most recent call first):
  /usr/local/share/cmake/Modules/FindBoost.cmake:906
(_Boost_COMPONENT_DEPENDENCIES)
  /usr/local/share/cmake/Modules/FindBoost.cmake:1541
(_Boost_MISSING_DEPENDENCIES)
  src/cmake/externalpackages.cmake:173 (find_package)
  CMakeLists.txt:358 (include)


-- No Partio found
-- CMAKE_INSTALL_RPATH = /usr/local/lib
-- Create oslversion.h from oslversion.h.in
-- Configuring done
-- Generating done
CMake Warning:
  Manually-specified variables were not used by the project:

    CMAKE_CXX_FLAGS_DEBUG
    CMAKE_C_FLAGS_DEBUG
    CMAKE_C_FLAGS_RELEASE
    CMAKE_MODULE_LINKER_FLAGS
    CMAKE_VERBOSE_MAKEFILE

Thank you.
Comment 8 Adriaan de Groot freebsd_committer 2018-01-23 23:20:48 UTC
@lumiwa: all you're showing is CMake warnings, not errors. Which ports are actually affected, and what does the error log show? It is expected that CMake 3.10.1 (and 3.10.2 with these patches) prints a warning, but imported targets for Boost used by other projects should "still work".
Comment 10 Antoine Brodin freebsd_committer 2018-01-24 06:28:55 UTC
Exp-run looks fine.
Comment 11 commit-hook freebsd_committer 2018-01-24 18:29:58 UTC
A commit references this bug:

Author: tcberner
Date: Wed Jan 24 18:29:09 UTC 2018
New revision: 459851
URL: https://svnweb.freebsd.org/changeset/ports/459851

Log:
  Update devel/cmake & Co. to 3.10.2

  * Adds an upstream patch to work with boost 1.66 additionally.

  PR:		225318
  Exp-run by:	antoine

Changes:
  head/devel/cmake/Makefile
  head/devel/cmake/distinfo
  head/devel/cmake/files/patch-Modules_FindBoost.cmake
  head/devel/cmake/files/patch-git_3f4924-boost_1.66
  head/devel/cmake-doc/Makefile
  head/devel/cmake-gui/Makefile
Comment 12 Tobias C. Berner freebsd_committer 2018-01-24 18:30:19 UTC
Thank you for the exp-run.

mfg Tobias
Comment 13 lumiwa 2018-01-25 22:51:29 UTC
(In reply to Antoine Brodin from comment #10)
I do not know why but after yesterdays cmake update I did install openshading language and everything works as before.
BTW: I am back from Synth to portmaster because I have a bad HD and I didn't buy the new one yet. Maybe was portmaster related??